import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * The Lining are objects at the edge of the vein.
 * 
 * @author Michael Kölling
 * @version 0.1
 */
public class Lining extends Actor
{
    /**
     * Act - Move the lining left and remove it by the edge.
     */
    public void act() 
    {
        setLocation(getX()-1, getY()); // Move by one unit
        
        if (getX() == 0) 
        {
            getWorld().removeObject(this); // Remove at the edge.
        }
    }    
}
